/**
 * Converts seconds to duration
 * @param {number } seconds
 * @returns {string}  1 month | 8 days | 3 hours
 */
export declare function secondsDuration(seconds: number): string;
/**
 * Returns time difference in x days y hours format using an ISO string.
 * @param {string } startDateString
 * @returns {string}  5 days 1 hour ago | just now | 3 days 3 seconds ago | 3 seconds ago like formatted string
 */
export declare function timeAgoInDaysHours(startDateString: string): any;
/**
 * Formats date in Sep 28, 2022 format.
 * @param {string } dateString
 * @returns {string} Sep 28, 2022
 */
export declare function formatTimeTransaction(dateString: string): string;
export declare function differenceInDaysHours(newDate: Date, oldDate: Date): any;
export declare function convertHMS(sec: number): {
    hours: number;
    minutes: number;
    seconds: number;
};
export declare function convertHMStoSeconds({ hours, minutes, seconds, }: {
    hours: number;
    minutes: number;
    seconds: number;
}): number;
export declare function getDatesInRange(timestampGte: Date | null, timestampLte: Date | null): number[];
